Indexreferenz mit VB / Solid Edge
ger.isi 25. Dez. 2018, 22:08

Ich habe vor einer Ewigkeit in VB6 ein Makro geschrieben um die Properties in einem Schriftkopftool einfach ausfüllen zu können.
Nun habe ich tatsächlich das alte Projekt in Windows 10 zum Laufen gebracht in Visual Basic dank diverser Anleitungen im Netz. 

Nun stehe ich aber an, da ich nicht weiß, wie ich eine Indexreferenz (zB. Titel oder Material) vom ersten referenzierten Teil in der Zeichnung erreichen kann.
In der Zeichnung geht das ja einfach z.B. über Titel|R1.
Nur wie mache ich das im VB?

Meine normalen Properties hole ich ja so (z.B. den Titel aus der Draft):

Set objApp = GetObject(, "SolidEdge.application")
Set objADoc = objApp.ActiveDocument
Set objAktuell = objADoc.Properties("SummaryInformation")
txtTitel = objAktuell.item("Titel").Value
Set objAktuell = Nothing

Gibt es noch Wissende, die mir hierbei helfen können?
Trotz eingehender Suche im Forum bin ich leider nicht fündig geworden.

wolha 25. Dez. 2018, 22:47

Hallo ger.isi,

zuerst einmal noch ein "Gesegnetes Weihnachtsfest!"

und wenn ich mich nicht ganz irre, dann sollte es mit dieser Codezeile weiter gehen:

            Set objProp3d = SEDoc.ModelLinks.Item(1).ModelDocument.Properties

Damit erzeugst Du einen Propertyset des ersten verknüpften Dokuments im Draft


ger.isi 26. Dez. 2018, 02:03

Hallo Wolfgang!
Ebenfalls Frohe Weihnachten und schöne Feiertage!
Wow - vielen Dank für die schnelle Antwort,
Ich werde es gleich versuchen so umzusetzen.
Das neue objProp3D hat dann wieder die unterschiedlichen Bereiche mit Summary usw? Wo ich dann zB den Titel herausbekomme?
Das würde mich echt weiterbringen.

Mit freundlichen Grüßen
Gernot